Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6003 - trn's config is VERY broken
Summary: trn's config is VERY broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: trn
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-16 01:37 UTC by Craig Kelley
Modified: 2014-03-17 02:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-07-25 21:10:59 UTC


Attachments (Terms of Use)

Description Craig Kelley 1999-10-16 01:37:13 UTC
6.1 is turning out to be as bad as 5.0 was...

I have an external news server, and everything is setup just
fine (NNTPSERVER is set).  When I try to post:

Check spelling, Send, Abort, Edit, or List? s
Cannot open /etc/news/inn.conf

I don't *run* inn.  It isn't even *installed*.

Argh.  Between this and the installer crashing *multiple*
times and emacs-nox *insisting* on using some file in
/usr/X11 (this is a server with no X11 at all...).  I give
up!

You *do* test these distributions before you send them out,
right?  Sorry for the negativity, but sheesh, it hasn't been
a fun day of upgrading.  (I'm *not* installing 6.1 on our
production boxes any time soon)

Comment 1 Craig Kelley 1999-10-20 22:26:59 UTC
I've narrowed the problem down to inews, but I can't find the SRPMS
for it, so I have no idea how you guys compiled it.

Comment 2 Chris Siebenmann 1999-10-21 08:34:59 UTC
FYI: The inews binary/package appears to be derived from the inn
source rpm (according to 'rpm -qi inews', which shows that as
the source RPM).

Comment 3 rhaig 1999-11-19 18:19:59 UTC
from the `rpm -qi inews` output
=======================
Install inews if you need a program for posting Usenet articles to
local news servers.
=======================
the word "local" there concerns me.  So what am I to tell my users if I don't
want them logged in to my news server?

I'm this (-><-) close to just writing a perl script to replace inews in this
case.

Comment 4 rhaig 1999-11-19 18:22:59 UTC
The broken component here is actually inews, not trn.  Unless Pnews (part of the
trn package) is going to get a new posting program, in which case that program
should be part of the trn package and the component is set properly.

Comment 5 Craig Kelley 1999-11-19 20:57:59 UTC
I fixed the problem by putting an inn.conf file in /etc/news.

This should probably be done by the inews RPM in the case that inn isn't
installed (and it usually *isn't*).

Here's the inn.conf file if you're interested:

   http://inconnu.isu.edu/inn.conf

Comment 6 rhaig 1999-11-19 23:45:59 UTC
that's a nice workaround, but to create a config file for software that is
mostly unrelated to the package at hand should not be considered a fix.

The code should be fixed to send the article at hand to the server listed in
/etc/nntpserver,$NNTPSERVER or something on the command line to Pnews(defaulting
to "news" if none is present).

thanks for the workaround by the way.

Comment 7 rhaig 2000-07-25 21:10:59 UTC
I've grabbed the inn-2.2.2 srpm and I'm going to work on a patch to implement my
last suggestion.  I know that 2.2.3 is out, but I don't believe inews.c changed

Comment 8 Trond Eivind Glomsrxd 2001-01-20 00:05:36 UTC
This has been fixed in newer versions, which explicitly require inews.

Comment 9 rhaig 2002-10-26 05:39:52 UTC
Note:  trn4 includes inews in it's build.  This may or may not cause problems
depending on how dependancies are structured.  Just a heads-up


Note You need to log in before you can comment on or make changes to this bug.